@import url(https://fonts.gstatic.com/);
@import url(https://fonts.googleapis.com/css2?family=Ballet:opsz@16..72&display=swap);

html,
body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    width: 100%;
    -webkit-text-size-adjust: none;
    -moz-text-size-adjust: none;
    -ms-text-size-adjust: none;
    text-size-adjust: none;
    overflow-x: hidden;
    font-family: "Cormorant Garamond", serif !important;
}

html {
    transform: none !important;
    zoom: 1 !important;
    font-size: 100%;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}

main {
    justify-content: center;
    align-items: center;
    background-color: #f5f5f5;
    object-fit: cover;
}

nav {
    position: absolute;
    display: flex;
    z-index: 2;
}

.nav-bar {
    width: 100%;
    justify-content: right;
    align-items: right;
    top: 10px;
    right: 10px;
}

nav p {
    font-size: 1.5rem;
    margin: 0;
    color: white;
}

footer {
    display: flex;
    position: relative;
    width: 100%;
    height: auto;
    flex-direction: row;
}

footer {
    bottom: 0;
}

.welcome-section {
    flex-direction: row;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100%;
    background-color: #f5f5f5;
    object-fit: cover;
    margin-bottom: 5%;
}

.welcome-section .video-container {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    margin-bottom: 100px;
}

.static-element {
    outline: none;
    display: inline-block;
    flex-direction: column;
    justify-content: flex-start;
    flex-shrink: 0;
    transform: none;
}

.img-grid-section {
    display: flex;
    position: relative;
    justify-content: center;
    align-items: center;
}

.video-container {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    margin-bottom: 100px;
    display: flex;
}

.video-container video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 1;
}

.overlay-text {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transform: translateY(-50%);
    z-index: 1;
    padding: 0 10%;
    color: white;
}

.main-headline {
    font-family: "Cormorant Garamond", serif !important;
    font-size: 6rem;
    margin: 0;
}

.left-text {
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.right-text {
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.main-subtitle {
    font-family: "Cormorant Garamond", serif !important;
    font-size: 2rem;
    margin: 1rem 0 0 0;
}

.left-text p {
    transform: translateX(56%) translateY(-100%);
}

.right-text p {
    transform: translateX(1%) translateY(-100%);
}

.h2-classic {
    font-weight: 400;
    font-size: 3rem;
    font-family: 'Playfair Display', serif;
}

.h2-ballet-cursive {
    font-family: Ballet, cursive;
    font-optical-sizing: auto;
    font-weight: 500;
    font-size: 40px;
    font-style: normal;
    text-align: center;
}

.hr-line {
    width: 50%;
    align-items: center;
    margin: auto;
    margin-top: 20px;
    margin-bottom: 20px;
    height: 2px;
}

.content-header {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.content-body {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.content-description {
    padding: 0 25% 5%;
    font-size: large;
    margin: auto;
    text-align: justify;
    position: relative;
    transform: translateX(100%);
    opacity: 0;
    transition: all 1s ease;
    transition: opacity 1s ease, transform 1s ease;

    font-size: 20px;

    font-family: 'Playfair Display', serif;
}

.visible {
    opacity: 1;
    transform: translateY(0);
}

.fade-in-box,
.content-description {
    opacity: 0;
    transform: translateY(30px);
    transition: opacity 1s ease, transform 1s ease-in-out;
}

.visible {
    opacity: 1;
    transform: translateY(0);
}

.content-section {
    display: block;
    justify-content: center;
    align-items: center;
}

.gallery-section {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 0 5% 0;
}

.end-section {
    display: inline-block;
    justify-content: center;
    align-items: center;
    padding-bottom: 10%;
}

.grid-container {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 10% 0 10%;
}

.grid-body {
    width: 50%;
    display: flex;
    grid-template-columns: repeat(4, 1fr);
    object-fit: cover;
}

.box {
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.2s;
    object-fit: cover;
}

.box-style {
    border-radius: 1%;
    box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.5);
    object-fit: cover;
}

.box:hover {
    transform: scale(1.05);
}

img {
    width: 100%;
    height: auto;
    align-content: center;
    justify-content: center;
    object-fit: cover;
    object-position: center;
    border-radius: 1%;
}

.blur-load {
    background-size: cover;
    background-position: center;
}

.blur-load.loaded>img {
    opacity: 1;
}

.blur-load>img {
    opacity: 0;
    transition: opacity 200ms ease-in-out;
}

@media (max-width: 1024px) {
    .video-container {
        height: 60vh;
    }

    .overlay-text {
        padding: 0 5%;
    }

    .left-text h1,
    .right-text h1 {
        font-size: 3.5rem;
    }

    .left-text p,
    .right-text p {
        font-size: 1rem;
    }

    .grid-body {
        grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
        gap: 20px;
    }
}

/*
 Dóra stylist szöveg az index és a braiding-hair oldalon automatikusan méreteződik a képernyő res-hez.
*/
@media (-webkit-min-device-pixel-ratio: 1.25),
(min-resolution: 120dpi) {
    html {
        font-size: 80%;
    }
}

@media (-webkit-min-device-pixel-ratio: 1.5),
(min-resolution: 144dpi) {
    html {
        font-size: 66.67%;
    }
}

@media (-webkit-min-device-pixel-ratio: 2),
(min-resolution: 192dpi) {
    html {
        font-size: 50%;
    }
}

@media (max-width: 600px) {
    .welcome-section {
        margin: 0 0 20% 0;
    }

    .social-media {
        flex-direction: column;
        align-items: center;
        margin-top: 20%;
    }

    .social-media-button {
        width: auto;
    }

    .video-container-transparent {
        width: 100%;
        margin-left: 0;
    }

    .content-description {
        padding: 0 10% 5%;
        font-size: 15px;
    }

    .h2-classic {
        font-size: 20px;
    }

    .h2-ballet-cursive {
        font-size: 23px;
    }

    .video-container {
        height: 50vh;
    }

    .overlay-text {
        padding: 0 2%;
    }

    .left-text h1,
    .right-text h1 {
        font-size: 3rem;
    }

    .left-text p,
    .right-text p {
        font-size: 0.9rem;
    }

    .grid-body {
        width: 100%;
        grid-template-columns: 1fr;
        gap: 15px;
    }
}